XSLoaderImpl (Xerces2 Implementation)
Date: 2018-10-17

org.apache.xerces.impl.xs

## Class XSLoaderImpl

- java.lang.Object
- - org.apache.xerces.impl.xs.XSLoaderImpl

- All Implemented Interfaces:
    org.apache.xerces.xs.XSLoader, org.w3c.dom.DOMConfiguration

      public final class XSLoaderImpl
      extends java.lang.Object
      implements org.apache.xerces.xs.XSLoader, org.w3c.dom.DOMConfiguration

  An implementation of XSLoader which wraps XMLSchemaLoader.

  Version:
    $Id: XSLoaderImpl.java 699892 2008-09-28 21:08:27Z mrglavas $
  Author:
    Michael Glavassevich, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSLoaderImpl()` No-args constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canSetParameter(java.lang.String name, java.lang.Object value)` Check if setting a parameter to a specific value is supported.
    `org.w3c.dom.DOMConfiguration` | `getConfig()` The configuration of a document.
    `java.lang.Object` | `getParameter(java.lang.String name)` Return the value of a parameter if known.
    `org.w3c.dom.DOMStringList` | `getParameterNames()` The list of the parameters supported by this `DOMConfiguration` object and for which at least one value can be set by the application.
    `org.apache.xerces.xs.XSModel` | `load(org.w3c.dom.ls.LSInput is)` Parse an XML Schema document from a resource identified by a `LSInput` .
    `org.apache.xerces.xs.XSModel` | `loadInputList(org.apache.xerces.xs.LSInputList is)` Parses the content of XML Schema documents specified as a list of `LSInput`s.
    `org.apache.xerces.xs.XSModel` | `loadURI(java.lang.String uri)` Parse an XML Schema document from a location identified by a URI reference.
    `org.apache.xerces.xs.XSModel` | `loadURIList(org.apache.xerces.xs.StringList uriList)` Parses the content of XML Schema documents specified as the list of URI references.
    `void` | `setParameter(java.lang.String name, java.lang.Object value)` Set the value of a parameter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSLoaderImpl

          public XSLoaderImpl()

      No-args constructor.

  - ### Method Detail

    - #### getConfig

          public org.w3c.dom.DOMConfiguration getConfig()

      The configuration of a document. It maintains a table of recognized parameters. Using the configuration, it is possible to change the behavior of the load methods. The configuration may support the setting of and the retrieval of the following non-boolean parameters defined on the `DOMConfiguration` interface: `error-handler` (`DOMErrorHandler`) and `resource-resolver` (`LSResourceResolver`).
      The following list of boolean parameters is defined:
      `"validate"`
        `true`
          [required] (default) Validate an XML Schema during loading. If validation errors are found, the error handler is notified.
        `false`
          [optional] Do not report errors during the loading of an XML Schema document.
      Specified by:
        `getConfig` in interface `org.apache.xerces.xs.XSLoader`

    - #### loadURIList

          public org.apache.xerces.xs.XSModel loadURIList(org.apache.xerces.xs.StringList uriList)

      Parses the content of XML Schema documents specified as the list of URI references. If the URI contains a fragment identifier, the behavior is not defined by this specification.
      Specified by:
        `loadURIList` in interface `org.apache.xerces.xs.XSLoader`
      Parameters:
        `uriList` - The list of URI locations.
      Returns:
        An XSModel representing the schema documents.

    - #### loadInputList

          public org.apache.xerces.xs.XSModel loadInputList(org.apache.xerces.xs.LSInputList is)

      Parses the content of XML Schema documents specified as a list of `LSInput`s.
      Specified by:
        `loadInputList` in interface `org.apache.xerces.xs.XSLoader`
      Parameters:
        `is` - The list of `LSInput`s from which the XML Schema documents are to be read.
      Returns:
        An XSModel representing the schema documents.

    - #### loadURI

          public org.apache.xerces.xs.XSModel loadURI(java.lang.String uri)

      Parse an XML Schema document from a location identified by a URI reference. If the URI contains a fragment identifier, the behavior is not defined by this specification.
      Specified by:
        `loadURI` in interface `org.apache.xerces.xs.XSLoader`
      Parameters:
        `uri` - The location of the XML Schema document to be read.
      Returns:
        An XSModel representing this schema.

    - #### load

          public org.apache.xerces.xs.XSModel load(org.w3c.dom.ls.LSInput is)

      Parse an XML Schema document from a resource identified by a `LSInput` .
      Specified by:
        `load` in interface `org.apache.xerces.xs.XSLoader`
      Parameters:
        `is` - The `LSInput` from which the source document is to be read.
      Returns:
        An XSModel representing this schema.

    - #### setParameter

          public void setParameter(java.lang.String name,
                                   java.lang.Object value)
                            throws org.w3c.dom.DOMException

      Description copied from interface: `org.w3c.dom.DOMConfiguration`
      Set the value of a parameter.
      Specified by:
        `setParameter` in interface `org.w3c.dom.DOMConfiguration`
      Parameters:
        `name` - The name of the parameter to set.
        `value` - The new value or `null` if the user wishes to unset the parameter. While the type of the value parameter is defined as `DOMUserData`, the object type must match the type defined by the definition of the parameter. For example, if the parameter is "error-handler", the value must be of type `DOMErrorHandler`.
      Throws:
        `org.w3c.dom.DOMException` - NOT_FOUND_ERR: Raised when the parameter name is not recognized.
        NOT_SUPPORTED_ERR: Raised when the parameter name is recognized but the requested value cannot be set.
        TYPE_MISMATCH_ERR: Raised if the value type for this parameter name is incompatible with the expected value type.

    - #### getParameter

          public java.lang.Object getParameter(java.lang.String name)
                                        throws org.w3c.dom.DOMException

      Description copied from interface: `org.w3c.dom.DOMConfiguration`
      Return the value of a parameter if known.
      Specified by:
        `getParameter` in interface `org.w3c.dom.DOMConfiguration`
      Parameters:
        `name` - The name of the parameter.
      Returns:
        The current object associated with the specified parameter or `null` if no object has been associated or if the parameter is not supported.
      Throws:
        `org.w3c.dom.DOMException` - NOT_FOUND_ERR: Raised when the parameter name is not recognized.

    - #### canSetParameter

          public boolean canSetParameter(java.lang.String name,
                                         java.lang.Object value)

      Description copied from interface: `org.w3c.dom.DOMConfiguration`
      Check if setting a parameter to a specific value is supported.
      Specified by:
        `canSetParameter` in interface `org.w3c.dom.DOMConfiguration`
      Parameters:
        `name` - The name of the parameter to check.
        `value` - An object. if `null`, the returned value is `true`.
      Returns:
        `true` if the parameter could be successfully set to the specified value, or `false` if the parameter is not recognized or the requested value is not supported. This does not change the current value of the parameter itself.

    - #### getParameterNames

          public org.w3c.dom.DOMStringList getParameterNames()

      Description copied from interface: `org.w3c.dom.DOMConfiguration`
      The list of the parameters supported by this `DOMConfiguration` object and for which at least one value can be set by the application. Note that this list can also contain parameter names defined outside this specification.
      Specified by:
        `getParameterNames` in interface `org.w3c.dom.DOMConfiguration`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.